package com.hai.openApi.model;

import java.math.BigDecimal;
import java.util.List;

public class ApiGasOliPriceModel {

    /**
     * 油号
     */
    private String oilNo;

    /**
     * 油品名称
     */
    private String oilNoName;


    /**
     * 成本价
     */
    private BigDecimal priceCost;

    /**
     * 枪价
     */
    private BigDecimal priceGun;

    /**
     * 官方指导价
     */
    private BigDecimal priceOfficial;

    /**
     * 油品类型  1:汽油:2:柴油;3:天然气
     */
    private Integer oilType;

    /**
     * 燃油类型名 1:汽油:2:柴油;3:天然气
     */
    private String oilTypeName;

    /**
     * 油枪号数组
     */
    private List<String> gasOliNo;

    public String getOilNo() {
        return oilNo;
    }

    public void setOilNo(String oilNo) {
        this.oilNo = oilNo;
    }

    public String getOilNoName() {
        return oilNoName;
    }

    public void setOilNoName(String oilNoName) {
        this.oilNoName = oilNoName;
    }

    public BigDecimal getPriceCost() {
        return priceCost;
    }

    public void setPriceCost(BigDecimal priceCost) {
        this.priceCost = priceCost;
    }

    public BigDecimal getPriceGun() {
        return priceGun;
    }

    public void setPriceGun(BigDecimal priceGun) {
        this.priceGun = priceGun;
    }

    public BigDecimal getPriceOfficial() {
        return priceOfficial;
    }

    public void setPriceOfficial(BigDecimal priceOfficial) {
        this.priceOfficial = priceOfficial;
    }

    public Integer getOilType() {
        return oilType;
    }

    public void setOilType(Integer oilType) {
        this.oilType = oilType;
    }

    public String getOilTypeName() {
        return oilTypeName;
    }

    public void setOilTypeName(String oilTypeName) {
        this.oilTypeName = oilTypeName;
    }

    public List<String> getGasOliNo() {
        return gasOliNo;
    }

    public void setGasOliNo(List<String> gasOliNo) {
        this.gasOliNo = gasOliNo;
    }
}
